# Uses of Class
org.jmol.viewer.JmolStateCreator

Packages that use JmolStateCreator
Package
Description
org.jmol.api
org.jmol.viewer

## Uses of JmolStateCreator in org.jmol.api

Methods in org.jmol.api with parameters of type JmolStateCreator
Modifier and Type
Method
Description
`boolean`
JmolDataManager.`getDataState(JmolStateCreator stateCreator, SB commands)`

## Uses of JmolStateCreator in org.jmol.viewer

Subclasses of JmolStateCreator in org.jmol.viewer
Modifier and Type
Class
Description
`class`
`StateCreator`
StateCreator handles all aspects of working with the "state" as generally defined, including -- creating the state script -- general output, including logging -- handling undo/redo -- processing SYNC directives Called by reflection only; all state generation script here, for modularization in JavaScript
Methods in org.jmol.viewer that return JmolStateCreator
Modifier and Type
Method
Description
`JmolStateCreator`
Viewer.`getStateCreator()`
Methods in org.jmol.viewer with parameters of type JmolStateCreator
Modifier and Type
Method
Description
`boolean`
DataManager.`getDataState(JmolStateCreator sc, SB sb)`